Subject: Thomas Narten <[email-masked]>

From: Ray Hunter <[email-masked]>
Date: Sat, 28 May 2011 06:41:10 +0200

+1 Good text. Yes, it's much clearer now, and also answers my question 
of what DHCPv6 content service providers would want to serve to client 
end nodes on the customer's LAN. ;)

Thanks

RayH

> ------------------------------
>
> Message: 3
> Date: Fri, 27 May 2011 13:51:11 -0400
> From: Thomas Narten<[email-masked]>
> To:[email-masked]
> Subject: Node Requirements: Revised text for DHCP on routers
> Message-ID:<[email-masked]>
>
> Going through this thread, here is some proposed text. I've concluded
> that whether to require DHC and/or relay agents is much more nuances
> than a simple SHOULD/MAY/MUST.
>
> How about the following proposed wording:
>
>     12.3.  Stateful Address Autoconfiguration (DHCPv6) - RFC 3315
>
>     A single DHCP server ([RFC3315] or[RFC4862]) can provide
>     configuration information to devices directly attached to a shared
>     link, as well as to devices located elsewhere within a site.
>     Communication between a client and a DHCP server located on different
>     links requires the use of DHCP relay agents on routers.
>
>     In simple deployments, consisting of a single router and either a
>     single LAN, or multiple LANs attached to the single router, together
>     with a WAN connection, a DHCP server embedded within the router has
>     been a common deployment scenario (e.g., [RFC6204]).  However, there
>     is no need for relay agents in such scenarios.
>
>     In more complex deployment scenarios, such as within enterprise or
>     service provider networks, the use of DHCP requires some level of
>     configuration, in order to configure relay agents, DHCP servers, etc.
>     In such environments, the DHCP server might even be run on a
>     traditional server, rather than as part of a router.
>
>     Because of the wide range of deployment scenarios, support for DHCP
>     server on routers is optional.  However, routers targetted for
>     deployment within more complex scenarios (as described above) SHOULD
>     support relay agent functionality.  Note that "Basic Requirements for
>     IPv6 Customer Edge Routers" [RFC6204] requires implementation of a
>     DHCPv6 function in IPv6 CE routers.
>
>
> Thomas
>
>
>